from django.db import models
from django.utils import timezone
from fwd_api.models import UserProfile
from fwd_api.models.fields.EncryptedCharField import EncryptedCharField
from fwd_api.models.Subscription import Subscription


class OcrTemplate(models.Model):
    id = models.AutoField(primary_key=True)
    name: str = models.CharField(max_length=300)
    status = models.IntegerField()
    file_path = EncryptedCharField(max_length=500, null=True)
    file_name = EncryptedCharField(max_length=500, null=True)
    subscription = models.ForeignKey(Subscription, on_delete=models.CASCADE)
    created_at = models.DateTimeField(default=timezone.now)
    updated_at = models.DateTimeField(auto_now=True)
